function sum=add(P1,P2,padzero)
% addition of polynomials 
% modification 2/9/97: includes case where polynomials are
% transformed polynomials (trfpoly.m): differences in length have to be
% compensated by transformed zeros
% examples:  at the origin z0=0: z=(z0-c)/r=-c/r
%                                 padzero=[1 c/r]
%            transformation to continuous time domain:
%            (z-(c+r))/(z-(c-r))=(c+r)/(c-r) gain:(c-r)
%                             padzero=(c-r)*[1 -(c+r)/(c-r)


if (nargin==2)
  transformed=0;
  padzero=[1 0];
elseif (nargin==3)
  transformed=1;
else 
  disp('add.m: error1');
end;

r1=0;
r2=0;

l1=length(P1);
s1=size(P1);
if(s1(1)==l1)
% row vector
r1=1;
end;

l2=length(P2);
s2=size(P2);
if(s2(1)==l2)
% row vector
r2=1;
end;

if(r1~=r2)
disp('Error: Vectors must be both column or row vectors');
return;
end;


if(l1<l2)
 if (transformed==0)
  pad=zeros(1,l2-l1);
  if(r1==1)
   P1=[P1;pad'];
  else
   P1=[P1,pad];
  end;
 else
  for k=1:(l2-l1)
   P1=convz(P1,padzero);
  end;
 end;
  

end;

if(l2<l1)
 if (transformed==0)
  pad=zeros(1,l1-l2);
  if(r1==1)
   P2=[P2;pad'];
  else
   P2=[P2,pad];
  end;
 else
  for k=1:(l1-l2)
   P2=convz(P2,padzero);
  end;
 end;
 

end;


sum=P1+P2;


