function fig = color(par)

global colorset;
global hcolorset;
%colorset=struct('Background',[],'Axes',[],'Template',[],'Current',[],'Held',[]);


if(par==1)%create window
   hcolorset=colorset;
   global h0;
   set(h0,'Unit','pixel');
   pmain=get(h0,'Position');
   set(h0,'Unit','point');
   ped=[402 412 365 228];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;

hw = dialog('Color',getfield(colorset,'Background'), ...
	'MenuBar','none', ...
   'Position',ped, ...
   'DeleteFcn','color(23);', ...
   'Name','Set color for environment', ...
	'Resize','off', ...
	'Tag','Fig1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[16.5 110.25 79.5 20.25], ...
   'String','Background', ...
   'Callback','color(12)', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'FontSize',10, ...
   'ListboxTop',0, ...
   'Callback','color(13)', ...
	'Position',[16.5 85 79.5 20.25], ...
	'String','Templates', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
   'Position',[16.5 59.75 79.5 20.25], ...
   'Callback','color(14)', ...
	'String','Current Curves', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
   'Position',[17.25 34.5 79.5 20.25], ...
   'Callback','color(15)', ...
	'String','Held Curves', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
   'Position',[16.5 135.5 79.5 20.25], ...
   'Callback','color(11)', ...
	'String','Axes', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'ListboxTop',0, ...
   'Position',[147.75 9 45 15], ...
   'Callback','color(21)', ...
	'String','Cancel', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'ListboxTop',0, ...
   'Position',[213 9 45 15], ...
   'Callback','color(20)', ...
	'String','OK', ...
	'Tag','Pushbutton2');
htx = uicontrol('Parent',hw, ...
	'Units','points', ...
   'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[139.875 143.25 108.75 15], ...
	'String','Text in the windows', ...
	'Style','text', ...
	'Tag','StaticText1');
hax = axes('Parent',hw, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',getfield(colorset,'Axes'), ...
	'Position',[0.4602739726027397 0.3114035087719298 0.4986301369863014 0.513157894736842], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'ZColor',[0 0 0]);
h1 = uicontrol('Parent',hw, ...
	'Units','points', ...
	'ListboxTop',0, ...
   'Position',[17.25 9 79.5 15], ...
   'Callback','color(16)', ...
	'String','Default', ...
	'Tag','Pushbutton3');

%lines in graph
htemp=line('Color',getfield(colorset,'Template'), ...
	'LineStyle','-', ...
	'LineWidth',[2], ...
	'Marker','none', ...
	'XData',[0.1 0.9], ...
	'YData',[0.8 0.8],...
   'Parent',[hax]);
   hcurr=line('Color',getfield(colorset,'Current'), ...
	'LineStyle','-', ...
	'LineWidth',[0.5], ...
	'Marker','none', ...
	'XData',[0.1 0.9], ...
	'YData',[0.1 0.9],...
   'Parent',[hax]);
   hheld=line('Color',getfield(colorset,'Held'), ...
	'LineStyle','--', ...
	'LineWidth',[0.5], ...
	'Marker','none', ...
	'XData',[0.1 0.9], ...
	'YData',[0.1 0.6],...
   'Parent',[hax]);



global hcolorw;
hcolorw=[hw hax htx htemp hcurr hheld];

elseif(par==11)%axes
   global hcolorw;
	cc=uisetcolor(get(hcolorw(2),'Color'),'Color for axes background');
   set(hcolorw(2),'Color',cc);
   colorset=setfield(colorset,'Axes',cc);%axes
elseif(par==12)%background
   global hcolorw;
	cc=uisetcolor(get(hcolorw(1),'Color'),'Color for axes background');
   set(hcolorw(1),'Color',cc);
   set(hcolorw(3),'BackgroundColor',cc);
   colorset=setfield(colorset,'Background',cc);%background
elseif(par==13)%templates
   global hcolorw;
	cc=uisetcolor(get(hcolorw(4),'Color'),'Color for axes background');
   set(hcolorw(4),'Color',cc);
   colorset=setfield(colorset,'Template',cc);%templates
elseif(par==14)%current
   global hcolorw;
	cc=uisetcolor(get(hcolorw(5),'Color'),'Color for axes background');
   set(hcolorw(5),'Color',cc);
   colorset=setfield(colorset,'Current',cc);%current curve
elseif(par==15)%held
   global hcolorw;
	cc=uisetcolor(get(hcolorw(6),'Color'),'Color for axes background');
   set(hcolorw(6),'Color',cc);
   colorset=setfield(colorset,'Held',cc);%held curve
elseif(par==16)%default
   global hcolorw;
   set(hcolorw(1),'Color',[0.501960784313725 0.501960784313725 0.250980392156863]);%background
   colorset=setfield(colorset,'Background',[0.501960784313725 0.501960784313725 0.250980392156863]);%background
   set(hcolorw(2),'Color',[1 1 1]);%axes
   colorset=setfield(colorset,'Axes',[1 1 1]);%axes
   set(hcolorw(3),'BackgroundColor',[0.501960784313725 0.501960784313725 0.250980392156863]);%text
   set(hcolorw(4),'Color',[0 0 0]);%templates
   colorset=setfield(colorset,'Template',[0 0 0]);%templates   
   set(hcolorw(5),'Color',[1 0 0]);%current curve
   colorset=setfield(colorset,'Current',[1 0 0]);%current curve   
   set(hcolorw(6),'Color',[0.27 0.44 0.47]);%held curve
   colorset=setfield(colorset,'Held',[0.27 0.44 0.47]);%held curve   
elseif(par==20)%OK
   close all;
   mainwin(1);
elseif(par==21)%cancel
   global hcolorw;
   colorset=hcolorset;
   close(hcolorw(1));
elseif(par==23)%deletefcn
   clear global hcolorw hcolorset;
end;
