function [M,DC]=contequv(A,Ts)
% [M,DC]=contequv(A,Ts)
% function to give continuous time equivalents for the discrete time
% polynomial A in the format


% extracted from ddamp.m
r = dsort(roots(A)); 
mag = abs(r);
  s = log(r)/Ts;
  wn = abs(s);
  z = -cos(atan2(imag(s),real(s)));

%Eigenvalue Magnitude   Equiv. Damping    Equiv. Freq. (rad/sec)
% r,mag,z,wn

DELTA=0.1;
indexreal=find(abs(angle(r))<DELTA);

indexcompl=find(angle(r)>=DELTA);
 


M2=[];
DC2=[];


if (isempty(indexreal)==0)
 for k=1:length(indexreal)
  M2=[M2;[1/wn(indexreal(k)) 1]];
  DC2=[DC2;'C'];
 end;

 M2buf=M2(1,:);
 DC2buf=DC2(1);
 if (size(M2,1)>1)
  for k=2:size(M2,1)
   wnew=M2(k,1);
   DCnew=DC2(k);
   B_exist=0;
   i=1;
   dummy=size(M2buf,1);
   while ((i<=dummy)&(B_exist==0))

    if ((abs(M2buf(i,1)-wnew)<1e-10)&(strcmp(DC2buf(i),DCnew)==1))
     M2buf(i,2)=M2buf(i,2)+1;
     B_exist=1;
    end;
    i=i+1;
   end;
   if (B_exist==0)
    M2buf=[M2buf;M2(k,:)];
    DC2buf=[DC2buf;DC2(k,:)];
   end;
  end;
 end;

 M2=M2buf;
 DC2=DC2buf;

end;




M=[length(indexcompl) size(M2,1)];
DC=[];


if (isempty(indexcompl)==0)
 for k=1:length(indexcompl)
  M=[M;[wn(indexcompl(k)) z(indexcompl(k))]];
  DC=[DC;'C'];
 end;
end;


if (isempty(M2)==0)
 M=[M;M2];
 DC=[DC;DC2];
end;

