function disphld(hand,par)
%function to display held graphs not templates
global colorset;
global A B;
global Ts fn;
global savehld;

%savehld=struct('on',0,'R',R,'S',S,'Hs',Hs,'Hr',Hr,'AP',AP);

global h0;
global xscal yscal Nf_points F_lin_log;;
global savehld;

K=getfield(savehld,'on');
if(K==0) return;end;

R=getfield(savehld,'R');
S=getfield(savehld,'S');
Hs=getfield(savehld,'Hs');
Hr=getfield(savehld,'Hr');
AP=getfield(savehld,'AP');

if(isempty(A)|isempty(B)|isempty(R)|isempty(S)) return; end;

if(par<4)%compute and disp sens fn
   if(par==1)%Sup
      Snum=conv(R,Hr);
      Snum=conv(Snum,A);
   elseif(par==2)%Syp
      Snum=conv(S,Hs);
      Snum=conv(Snum,A);
   elseif(par==3)%Syb
      Snum=conv(R,Hr);
      Snum=conv(B,Snum);
   end;
   p1=conv(S,Hs);
   p2=conv(R,Hr);
	Sden=add(conv(A,p1),conv(B,p2));
   
   if F_lin_log==1,
      fnall=linspace(0,0.5,Nf_points);%[linspace(1e-8,1e-3,200) linspace(2e-3,0.499,499)];
      set(hand,'Xscale','linear');
   elseif F_lin_log==2,
      fnall=logspace(1e-4,0.5,Nf_points);
      set(hand,'Xscale','log');      
   end;
   
   fall=fnall/Ts;
   
   [Sfn,frq]=freqz(Snum,Sden,fall,1/Ts);
   Sfn=abs(Sfn);
   frq=frq*(Ts);%f/fs
   if (yscal==1)%log scales
      for K=1:length(Sfn) if(Sfn(K)==0) Sfn(K)=-PRECISION*10; end;end;%remove pure zeros
      Sfn=20*log10(abs(Sfn));%sens. function
   end;
   
   %set xdata
   if(xscal==1) xdt=frq/Ts;xdtt=fn/Ts;
   elseif(xscal==2) xdt=(frq*2*pi)/Ts;xdtt=(fn*2*pi)/Ts;
   elseif(xscal==3) xdt=frq;xdtt=fn;
   end;
   axes(hand);%set current axes
	%sens function
	line('Color',getfield(colorset,'Held'), ...
		'LineStyle','--', ...
		'LineWidth',[0.5], ...
		'Marker','none', ...
		'XData',xdt, ...
		'YData',Sfn,...
      'Parent',[hand]);
elseif(par==4)|(par==5)%pole-zero map CL
   ss=conv(S,Hs);   
   rr=conv(R,Hr);
   den=add(conv(A,ss),conv(B,rr));
   if(par==4), CL 
	   zero=roots(B);
      pole=roots(den);
   elseif(par==5),
	   zero=roots(rr);
      pole=roots(ss);
   end;
   %change all
	line('Color',getfield(colorset,'Held'), ...
		'LineStyle','none', ...
		'LineWidth',[0.5], ...
      'Marker','x', ...
      'MarkerSize',10, ...
		'XData',real(pole), ...
		'YData',imag(pole),...
      'Parent',[hand]);
   if(isempty(zero)~=1)
	line('Color',getfield(colorset,'Held'), ...
		'LineStyle','none', ...
		'LineWidth',[0.5], ...
      'Marker','o', ...
      'MarkerSize',10, ...
		'XData',real(zero), ...
		'YData',imag(zero),...
      'Parent',[hand]);
   end;

elseif(par==6)%step response for disturbance
   Snum=conv(S,Hs);
   Snum=conv(Snum,A);
   p1=conv(S,Hs);
   p2=conv(R,Hr);
   Sden=add(conv(A,p1),conv(B,p2));
   sys=tf(Snum,Sden,Ts);
   tmax=3*9/(2*pi*0.05/Ts);
   [resp,tim]=step(sys,tmax);

   %change everything
	line('Color',getfield(colorset,'Held'), ...
		'LineStyle','--', ...
		'LineWidth',[0.5], ...
		'Marker','none', ...
		'XData',tim, ...
		'YData',resp,...
      'Parent',[hand]);
end;
