function reinit()
%reinitialization of parameters
%handlers to objects
global h0 haxes_lu haxes_ld haxes_ru hpop_lu hpop_ru hpop_ld;%figure, axes and popup to axes
global hsli_dpf hdisp_dpf hsli_dpd hdisp_dpd;%sliders for dom. poles
global hsli_aux hdisp_aux hn_aux htxt_n hbut_ap hbut_am;%sliders for aux. poles
global hsli_hsf hdisp_hsf htxt_hsf;%sliders for Hs freq
global hsli_hsd hdisp_hsd htxt_hsd;%sliders for Hs damping
global hsli_hrf hdisp_hrf htxt_hrf;%sliders for Hr freq
global hsli_hrd hdisp_hrd htxt_hrd;%sliders for Hr damping
global hpop_hs hpop_hr;%popups for Hr and Hs
global htemp hcont htrac hui_cl;%uimenus 
global hbut_hld;%button to hold current graph
global hint hopn;
global hchk_syp hchk_sup hbut_flt hbut_aux;%checkboxes for Syp and Sup filters


global PD PDfmin PDfmax PDdmin PDdmax;%polynom of dominant CL poles and ranges of freq and damp
global AP APgama APN APgmin APgmax;%structure about coeff. of aux. mult. pole
global Hs Hsfmin Hsfmax Hsdmin Hsdmax Hspmin Hspmax;
global Hr Hrfmin Hrfmax Hrdmin Hrdmax Hrpmax Hrpmin;
global Ts;   
global PRECISION;
global A B;
global Sypf Supf;

if(isempty(A)|isempty(B)) return;end;
	rs_compute;
   %display graphs
   x=get(hpop_lu,'Value');
   v=get(haxes_lu,'UserData');
   v(1)=0;%to force change also templates
	set(haxes_lu,'UserData',v);
   dispgrap(haxes_lu,x);
   
   x=get(hpop_ld,'Value');
   v=get(haxes_lu,'UserData');
   v(1)=0;%to force change also templates
	set(haxes_lu,'UserData',v);
   dispgrap(haxes_ld,x);
   
   x=get(hpop_ru,'Value');
   v=get(haxes_lu,'UserData');
   v(1)=0;%to force change also templates
	set(haxes_lu,'UserData',v);
   dispgrap(haxes_ru,x);
   %enable sliders
   %dom. poles freq
   [m,w,xi]=ddamp(PD,Ts);
   set(hsli_dpf,'Min',PDfmin,'Max',PDfmax,'Value',w(1)/(2*pi));
   set(hdisp_dpf,'String',sprintf('%g ',w(1)/(2*pi)));
   set(hsli_dpf,'Enable','on');
   
   %dom. poles damp
   set(hsli_dpd,'Min',PDdmin,'Max',PDdmax,'Value',xi(1));
   set(hdisp_dpd,'String',sprintf('%g ',xi(1)));
   set(hsli_dpd,'Enable','on');
   
   %aux poles
   set(hsli_aux,'Min',APgmin,'Max',APgmax,'Value',APgama);
   set(hdisp_aux,'String',sprintf('%g ',APgama));
   
	nmax=nmax_compute;   
   set(hn_aux,'UserData',[nmax]);
   set(hn_aux,'String',sprintf('%d',APN));
   set(htxt_n,'String',sprintf('Free poles: %d',nmax));   
   
   if(length(AP)>1)
      set(hsli_aux,'Enable','on');
   else
      set(hsli_aux,'Enable','off');
   end;

%Hs 
	[res,rem]=deconv(Hs,[1 -1]);%test if in Hs is integrator
   if(sum(abs(rem))<PRECISION) 
      Hs2=res;
      set(hint,'Value',1);%integrator on
   else
      Hs2=Hs;
   end;
   if(length(Hs2)==1) %1
      set(hsli_hsf,'Min',Hsfmin,'Max',Hsfmax,'Value',(Hsfmax-Hsfmin)/2);
      set(hsli_hsd,'Min',Hsdmin,'Max',Hsdmax,'Value',(Hsdmax-Hsdmin)/2);
      set(hpop_hs,'Value',1);
   elseif(length(Hs2)==2)%1st order
      set(hsli_hsf,'Min',Hsfmin,'Max',Hsfmax,'Value',(Hsfmax-Hsfmin)/2);
      set(hsli_hsd,'Min',Hspmin,'Max',Hspmax,'Value',Hs2(2),'Enable','on');
      set(hdisp_hsd,'String',Hs2(2));
	   set(htxt_hsd,'String','Coeff');
      set(hpop_hs,'Value',2);
   elseif(length(Hs2)==3)
      [m,w,xi]=ddamp(Hs2,Ts);
      set(hsli_hsf,'Min',Hsfmin,'Max',Hsfmax,'Value',w(1)/(2*pi),'Enable','on');
      set(hsli_hsd,'Min',Hsdmin,'Max',Hsdmax,'Value',xi(1),'Enable','on');
      set(hdisp_hsf,'String',sprintf('%g',w(1)/(2*pi)));
      set(hdisp_hsd,'String',sprintf('%g',xi(1)));
	   set(hpop_hs,'Value',3);
   end;      
   
   %Hr
	[res,rem]=deconv(Hr,[1 1]);%test if in Hs is integrator
   if(sum(abs(rem))<PRECISION) 
      Hr2=res;
      set(hopn,'Value',1);%opening on
   else
      Hr2=Hr;
   end;
   if(length(Hr2)==1)
	   set(hsli_hrf,'Min',Hrfmin,'Max',Hrfmax,'Value',(Hrfmax-Hrfmin)/2);
      set(hsli_hrd,'Min',Hrdmin,'Max',Hrdmax,'Value',(Hrdmax-Hrdmin)/2);
	   set(hpop_hr,'Value',1);
   elseif(length(Hr2)==2)%1st order
      set(hsli_hrf,'Min',Hrfmin,'Max',Hrfmax,'Value',(Hrfmax-Hrfmin)/2);
      set(hsli_hrd,'Min',Hrpmin,'Max',Hrpmax,'Value',Hr(2),'Enable','on');
      set(hdisp_hrd,'String',sprintf('%g',Hr(2)));
      set(htxt_hrd,'String','Coeff');
	   set(hpop_hr,'Value',2);
   elseif(length(Hr2)==3)%2nd order
      [m,w,xi]=ddamp(Hr,Ts);
      f=w(1)/(2*pi);
      set(hsli_hrf,'Min',Hrfmin,'Max',Hrfmax,'Value',f,'Enable','on');
      set(hsli_hrd,'Min',Hrdmin,'Max',Hrdmax,'Value',xi(1),'Enable','on');
      set(hdisp_hrf,'String',sprintf('%g',w(1)/(2*pi)));
      set(hdisp_hrd,'String',sprintf('%g',xi(1)));
	   set(hpop_hr,'Value',3);
   end;
   %popup Hs
   set(hpop_hs,'Enable','on');
   %popup Hr   
   set(hpop_hr,'Enable','on');
   set(htemp,'Enable','on');
   set(hcont,'Enable','on');
   set(hui_cl,'Enable','on');   
   set(hbut_ap,'Enable','on');
	set(hbut_am,'Enable','on');   
   set(htrac,'Enable','on');
   set(hbut_hld,'Enable','on');
   set(hint,'Enable','on');
   set(hopn,'Enable','on');   
   %filters
   set(hchk_sup,'Enable','on');
   set(hchk_syp,'Enable','on');
   set(hbut_flt,'Enable','on');   
   set(hbut_aux,'Enable','on');   
   %filter checkboxes
   set(hchk_syp,'Value',Sypf);
   set(hchk_sup,'Value',Supf);
   
   global savehld;%structure to save current parameters
	savehld=struct('on',0);
