function [success]=savepim(file,R,S,T,P,Hr,Hs,Am,Bm,A,B,Ts);
% savereg saves a controller in REG format: savepim(file,R,S,T,P,Hr,Hs,Am,Bm,A,B,Ts)
PREC=1e-8;

fptr=fopen(file,'wt');

if fptr == -1
	disp('could not open for write!');
	success=0;
else % continue

fprintf(fptr,'F5  Placement de ples.   $$REGULATEUR\n');
fprintf(fptr,'Retard :\n');

% write time delay
d=1;
while (B(d)==0)
      d=d+1;
end;
d=d-2;
fprintf(fptr,' %d\n',d);

% write B
nb=length(B)-2-d;
fprintf(fptr,'B*..deg:%d\n',nb);
for i=(d+2):length(B)
   fprintf(fptr,'%f ',B(i));
end;
fprintf(fptr,'\n');

% write A
fprintf(fptr,'A...deg:%d\n',length(A)-1);
for i=1:length(A)
   fprintf(fptr,'%f ',A(i));
end;
fprintf(fptr,'\n');

% write Bm
fprintf(fptr,'Bm..deg:%d\n',length(Bm)-1);
for i=1:length(Bm)
   fprintf(fptr,'%f ',Bm(i));
end;
fprintf(fptr,'\n');

% write Am
fprintf(fptr,'Am..deg:%d\n',length(Am)-1);
for i=1:length(Am)
   fprintf(fptr,' %f',Am(i));
end;
fprintf(fptr,'\n');

% write R
fprintf(fptr,'R...deg:%d\n',length(R)-1);
for i=1:length(R)
   fprintf(fptr,'  %f',R(i));
end;
fprintf(fptr,'\n');

% write S
fprintf(fptr,'S...deg:%d\n',length(S)-1);
for i=1:length(S)
   fprintf(fptr,'  %f',S(i));
end;
fprintf(fptr,'\n');

% write T
fprintf(fptr,'T...deg:%d\n',length(T)-1);
for i=1:length(T)
   fprintf(fptr,'  %f',T(i));
end;
fprintf(fptr,'\n');

% sampling period
fprintf(fptr,'Priode d\047chantillonnage (Te): \n');
fprintf(fptr,' %g\n',Ts);

% write P
fprintf(fptr,'P...deg:%d\n',length(P)-1);
for i=1:length(P)
   fprintf(fptr,' %f',P(i));
end;
fprintf(fptr,'\n');

%write C;
fprintf(fptr,'C...deg:0\n');
fprintf(fptr,' 1\n');

% write Hr
%normalization
r=roots(Hr);
Hr=poly(r);
fprintf(fptr,'HR..deg:%d\n',length(Hr)-1);
for i=1:length(Hr)
   fprintf(fptr,' %f',Hr(i));
end;
fprintf(fptr,'\n');

% write Hs 
%normalization
r=roots(Hs);
Hs=poly(r);
fprintf(fptr,'HS..deg:%d\n',length(Hs)-1);
   for i=1:length(Hs) %Hsprim
      fprintf(fptr,' %f',Hs(i));%Hsprim
   end;

fprintf(fptr,'\n');

fprintf(fptr,'Valeurs continues 0\n');

% write poursuite
if length(T)>1,
	[ncd,CD,M]=get_pz(2);
	fprintf(fptr,'$POURSUITE  %d  %d\n',ncd(1),ncd(2));
	[x,y]=size(M);
	for i=1:x;
	   fprintf(fptr,'%c  %g  %g\n',CD(i),M(i,1),M(i,2));
	end;
end;

% write Regulation
[ncd,CD,M]=get_pz(1);
fprintf(fptr,'$REGULATION  %d  %d\n',ncd(1),ncd(2));
   [x,y]=size(M);
for i=1:x;
   fprintf(fptr,'%c  %g  %g\n',CD(i),M(i,1),M(i,2));
end;

% write Hr
[ncd,CD,M]=get_pz(3);
if (ncd(1)>PREC)|(ncd(2)>PREC),
   fprintf(fptr,'HR  %d  %d\n',ncd(1),ncd(2));
   [x,y]=size(M);
   for i=1:x;
      fprintf(fptr,'%c  %g  %g\n',CD(i),M(i,1),M(i,2));
   end;
end;
% write Hs
[ncd,CD,M]=get_pz(4);
if (ncd(1)>PREC)|(ncd(2)>PREC),
   fprintf(fptr,'HS  %d  %d\n',ncd(1),ncd(2));
   [x,y]=size(M);
   for i=1:x;
      fprintf(fptr,'%c  %g  %g\n',CD(i),M(i,1),M(i,2));
   end;
end;

success=1;
end; % if fptr==-1

fclose(fptr);




