function timwin()
%window of tracking part of master
global colorset;

global type;
type=1;%tracking window

%handles to graphics objects
global h0 haxes_lu haxes_ld haxes_ru hpop_lu hpop_ru hpop_ld;%figure, axes and popup to axes
global hsli_dpf hdisp_dpf hsli_dpd hdisp_dpd;%sliders for dom. poles
global hpop_mod hdisp_rist hdisp_mos hbut_hld hed_tmax;
global hpop_tev;

close(h0);

global savehld;%structure to save current parameters
savehld=struct('on',0);

global Ts;
tmax=25/(2*pi*0.05/Ts);
st=sprintf('%g',tmax);

load poleplace2;

listfn={'System output y(t) step response','Desired trajectory y*(t) step response','Command u(t) step response'};
spop_trm={'one','2-cascade'};
spop_tev={'all CL poles - Pd.Pf/B*(1)','dominant CL poles - Pd.Pf(1)/B*(1)','Gain - P(1)/B(1)'};

global modname;
nam=sprintf('Pole Placement Master - TRACKING BLOCK  ...>> model: %s',modname);
h0 = figure('Units','points', ...
	'Color',getfield(colorset,'Background'), ...
	'Colormap',mat0, ...
	'MenuBar','none', ...
	'Name',nam, ...
	'PointerShapeCData',mat1, ...
	'Position',[74.25 59.25 600 450], ...
	'Resize','off', ...
	'Tag','Fig1', ...
	'WindowButtonDownFcn','pcursor(1);', ...
   'WindowButtonUpFcn','pcursor(2);');

set(h0,'Units','points');
set(h0,'WindowButtondownfcn','pcursor(1);');
set(h0,'WindowButtonupfcn','pcursor(2);');

h1 = uimenu('Parent',h0, ...
	'Label','Tools', ...
	'Tag','uimenu5');
h2 = uimenu('Parent',h1, ...
   'Label','Point Cursor', ...
   'Callback','change(81);', ...
   'Tag','optuimenu1');
h2 = uimenu('Parent',h1, ...
   'Label','Zoom', ...
   'Callback','change(82);', ...
   'Tag','optuimenu1');
h2 = uimenu('Parent',h1, ...
   'Label','Figure', ...
   'Callback','change(83);', ...
   'Tag','optuimenu1');


h1 = uimenu('Parent',h0, ...
   'Callback','mainwin(1);', ...
	'Label','Closed Loop->>', ...
	'Tag','uimenu5');

h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',getfield(colorset,'Axes'), ...
	'FontSize',8, ...
	'Position',[45 330 352 236], ...
	'Tag','Axes_lu', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
   'ZColor',[0 0 0]);
haxes_lu=h1;
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4985754985754986 -0.09361702127659588 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.07407407407407408 0.4936170212765957 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.1282051282051282 1.14468085106383 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4985754985754986 1.025531914893617 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);

h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',getfield(colorset,'Axes'), ...
	'FontSize',8, ...
	'Position',[0.05625 0.06333333333333334 0.44 0.395], ...
	'Tag','Axes_ld', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
   'ZColor',[0 0 0]);
haxes_ld=h1;
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4985754985754985 -0.101694915254237 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[-0.08262108262108263 0.4957627118644068 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Interruptible','off', ...
	'Position',[-0.1111111111111111 2.334745762711865 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4985754985754985 1.029661016949153 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);

hpop_ld = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','t_change(1);', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[33 208.5 266.25 15], ...
	'String',listfn, ...
	'Style','popupmenu', ...
	'Tag','pop_gld', ...
   'Value',2);

hpop_lu = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','t_change(2);', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[31.5 426 266.25 15], ...
	'String',listfn, ...
	'Style','popupmenu', ...
	'Tag','pop_glu', ...
   'Value',1);

hpop_ru = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','t_change(3);', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[327.75 426 266.25 15], ...
	'String',listfn, ...
	'Style','popupmenu', ...
	'Tag','pop_gru', ...
   'Value',3);

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[408 198 120 15], ...
	'String','Tracking model', ...
	'Style','text', ...
   'Tag','StaticText1');

hsli_dpf = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','t_change(11);', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[455.25 171.75 129 15.75], ...
	'Style','slider', ...
	'Tag','Slid_dpf');
hdisp_dpf = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',10, ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[384.75 171.75 65.25 15], ...
	'String','- ', ...
	'Style','text', ...
	'Tag','disp_dpf');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[337.5 171.75 45 15], ...
	'String','Nat.freq[Hz]', ...
	'Style','text', ...
   'Tag','StaticText2');

hsli_dpd = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','t_change(12);', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[455.25 154.5 129 15.75], ...
	'Style','slider', ...
	'Tag','slid_dpd');
hdisp_dpd = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',10, ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[384.75 154.5 65.25 15], ...
	'String','- ', ...
	'Style','text', ...
	'Tag','disp_dpd');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[337.5 154.5 45 15], ...
	'String','Damping', ...
	'Style','text', ...
   'Tag','StaticText2');

hpop_mod = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','t_change(51);', ...
	'Enable','on', ...
	'ListboxTop',0, ...
	'Position',[525.75 135.75 58.5 15], ...
	'String',spop_trm, ...
	'Style','popupmenu', ...
	'Tag','pop_hs', ...
   'Value',1);

h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',getfield(colorset,'Axes'), ...
	'FontSize',8, ...
	'Position',[440 330 352 236], ...
	'Tag','Axes_ru', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
   'ZColor',[0 0 0]);
haxes_ru=h1;
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4985754985754987 -0.09361702127659588 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[-0.07407407407407396 0.4936170212765957 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Interruptible','off', ...
	'Position',[-1.25356125356125   1.14468085106383   9.16025403784439], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4985754985754987 1.025531914893617 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[391.5 97.5 59.25 13.5], ...
	'String','Rising time[s]', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[369 76.5 81.75 13.5], ...
	'String','Max.overshoot[%]', ...
	'Style','text', ...
   'Tag','StaticText3');

hdisp_rist = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',10, ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[453.75 96 65.25 15], ...
	'String','- ', ...
	'Style','text', ...
	'Tag','disp_rist');
hdisp_mos = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',10, ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[453.75 75 65.25 15], ...
	'String','- ', ...
	'Style','text', ...
   'Tag','disp_mos');

hbut_hld = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[312 5.25 60 15], ...
   'String','Hold graphs', ...
   'Callback','t_change(60);', ...
   'Enable','on', ...
   'Tag','holdbutton');

hed_tmax = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[451.5 48 45 15], ...
   'Style','pushbutton', ...
   'callback','enterm(63);', ...   
   'String',st, ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[368.25 48 83.25 15], ...
	'String','Simulation time [s]', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
   'Position',[500 48 33 15], ...
   'CallBack','t_change(70);', ...
   'String','Default', ...
   'Tag','Pushbutton1');
hpop_tev = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[452.25 117.75 132 15], ...
	'String',spop_tev, ...
   'Style','popupmenu', ...
   'Callback','t_change(52);', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[390 116.25 59.25 13.5], ...
	'String','T Evaluation', ...
	'Style','text', ...
	'Tag','StaticText3');


global Am Bm T;
if(isempty(Am)|isempty(Bm)|isempty(T)) t_initial; else t_reinit; end;
