function t_initial()

global PRECISION;
%handles to graphics objects
global h0 haxes_lu haxes_ld haxes_ru hpop_lu hpop_ru hpop_ld;%figure, axes and popup to axes
global hsli_dpf hdisp_dpf hsli_dpd hdisp_dpd;%sliders for dom. poles
global hpop_mod hdisp_rist hdisp_mos;
global hpop_tev;

%variables
global Am Bm TMf TMd TMfmax TMfmin TMdmax TMdmin;%tracking model
global cascad;%if tracking model is in cascade (=1 only one model; =2 two models)
global Teval;%type of T evaluation
global T;%tracking part of controller
global A B Ts;
global PD AP;

global savehld;
savehld=struct('on',0);

%model and T evaluation popups
cascad=1;
Teval=1;
set(hpop_mod,'Value',cascad);
set(hpop_tev,'Value',Teval);

%default for tracking model equal to PD
[m,w,xi]=ddamp(PD,Ts);
wnmin=min(w);
ximin=0.8;
w=wnmin*Ts*sqrt(1-ximin*ximin);
alpha=exp(-ximin*wnmin*Ts);
beta=cos(w);
delta=sin(w);
bm1=1-alpha*(beta+ximin*wnmin*Ts*delta/w);
bm2=alpha*alpha + alpha*(ximin*wnmin*Ts*delta/w - beta);
am1=-2*alpha*beta;
am2=alpha*alpha;

TMf=wnmin/(2*pi);
TMfmin=0.01;
TMfmax=0.5/Ts;

TMd=ximin;
TMdmin=0.1;
TMdmax=1;

Am=[1 am1 am2];
Bm=[0 bm1 bm2];

%tracking part T=P(z^-1)/B(1);
[rr,ss,Paux]=rs_complete;
den=add(conv(A,ss),conv(B,rr));
if Teval==1, %P/B(1)
	T=den/sum(B);
   T=T*(sum(rr)/sum(T));
elseif Teval==2, %PdPf(1)/B(1)
   T=PD*sum(Paux)/sum(B);
elseif Teval==3,
   T=sum(PD)*sum(Paux)/sum(B);
end;

   

%rise time
%reference signal
sys=tf(Bm,Am,Ts);
tmax=15/(2*pi*0.05/Ts);
[ref,tim]=step(sys,tmax);
num=conv(B,T);
resp=filter(num,den,ref);


inx=find(resp>=0.9);
if(isempty(inx)) txt=sprintf('>%g',tmax);
else 
   txt=sprintf('%g',tim(inx(1)));
end;
set(hdisp_rist,'String',txt);   
%max. overshoot
if (max(resp)>=1) txt=sprintf('%g',(max(resp)-1)*100);
else txt='<0';
end;
set(hdisp_mos,'String',txt);   

%display graphs
x=get(hpop_lu,'Value');
t_dispgr(haxes_lu,x);
x=get(hpop_ld,'Value');
t_dispgr(haxes_ld,x);
x=get(hpop_ru,'Value');
t_dispgr(haxes_ru,x);

%enable sliders
% freq
set(hsli_dpf,'Min',TMfmin,'Max',TMfmax,'Value',TMf);
set(hdisp_dpf,'String',sprintf('%g ',TMf));
set(hsli_dpf,'Enable','on');
   
% damp
set(hsli_dpd,'Min',TMdmin,'Max',TMdmax,'Value',TMd);
set(hdisp_dpd,'String',sprintf('%g ',TMd));
set(hsli_dpd,'Enable','on');

