function enterm(par);
%type specifies which value is modified
%type=1 ...fnat poles dom.
%		2 ...xi poles dom.
%		3 ...gama poles aux
%		4 ...fnat Hs
%		5 ...xi Hs
%		6 ...fnat Hr
%		7 ...xi Hr
%		8 ...f/coef aux pol
%		9 ...xi/N aux pol
%		10 ...attenuation analog 2/2 filter
%		11 ...frequency of 2/2 filter
%		12 ...damping of analog 2/2 filter
%
%		13 ...simulation time in tracking window

%constants for aux poles
global Ts PRECISION;
MINF=1/(1000*Ts);
MAXF=1/(2*Ts);
MINDM=PRECISION;
MAXDM=1;
MINCF=-0.99;
MAXCF=1;
MINN=1;

if(par==1), %Apply button
   global hvec_enter;
   type=hvec_enter(1);
   value=str2num(get(hvec_enter(3),'String'));
   if isempty(value), close(hvec_enter(2));return;end;
   if type==1, %fnat PD
      global hsli_dpf;
      pos_slid=value;
      hslider=hsli_dpf;
      valmax=get(hslider,'Max');
      valmin=get(hslider,'Min');      
      fcn_exe='change(11);';
   elseif type==2, %xi PD
      global hsli_dpd;
      pos_slid=value;
      hslider=hsli_dpd;
      valmax=get(hslider,'Max');
      valmin=get(hslider,'Min');      
      fcn_exe='change(12);';
   elseif type==3, %gamma Paux
      global hsli_aux;
      pos_slid=value;
      hslider=hsli_aux;
      valmax=get(hslider,'Max');
      valmin=get(hslider,'Min');      
      fcn_exe='change(13);';
   elseif type==4, %fnat Hs
      global hsli_hsf;
      pos_slid=value;
      hslider=hsli_hsf;
      valmax=get(hslider,'Max');
      valmin=get(hslider,'Min');      
      fcn_exe='change(14);';
   elseif type==5, %xi Hs      
      global hsli_hsd;
      pos_slid=value;
      hslider=hsli_hsd;
      valmax=get(hslider,'Max');
      valmin=get(hslider,'Min');      
      fcn_exe='change(15);';
   elseif type==6, %fnat Hr
      global hsli_hrf;
      pos_slid=value;
      hslider=hsli_hrf;
      valmax=get(hslider,'Max');
      valmin=get(hslider,'Min');      
      fcn_exe='change(16);';
   elseif type==7,  %xi Hr    
      global hsli_hrd;
      pos_slid=value;
      hslider=hsli_hrd;
      valmax=get(hslider,'Max');
      valmin=get(hslider,'Min');      
      fcn_exe='change(17);';
   elseif type==8, %f/coeff aux pol
      global hvec_auxp auxp_var;
		inx=get(hvec_auxp(11),'Value');
	   v=auxp_var.saux(inx);
	   if v.pair==1,%oscillatory poles
         pos_slid=(value-MINF)/(MAXF-MINF);
         valmax=MAXF;
         valmin=MINF;
      else
         pos_slid=(value-MINCF)/(MAXCF-MINCF);
         valmax=MAXCF;
         valmin=MINCF;
      end;
      hslider=hvec_auxp(5);
      fcn_exe='auxpol(5);';
   elseif type==9, %xi/N aux pol
      global hvec_auxp auxp_var;
		inx=get(hvec_auxp(11),'Value');
	   v=auxp_var.saux(inx);
	   if v.pair==1,%oscillatory poles
         pos_slid=(value-MINDM)/(MAXDM-MINDM);
         valmax=MAXDM;
         valmin=MINDM;
      else
         value=round(value);
			pos_slid=(value-MINN)/((v.dmp_n+auxp_var.MAXN)-MINN);         
			valmax=v.dmp_n+auxp_var.MAXN;
         valmin=MINN;
      end;
      hslider=hvec_auxp(8);
      fcn_exe='auxpol(5);';
   elseif type==10, %attenuation of 2/2 filter
      global hvec_filter filter_var;
      pos_slid=(value-filter_var.minatt)/(filter_var.maxatt-filter_var.minatt);
      hslider=hvec_filter(5);
      valmax=filter_var.maxatt;
      valmin=filter_var.minatt;
      fcn_exe='filter_w2(5);';
   elseif type==11, %frequency of 2/2 filter
      global hvec_filter filter_var;
      pos_slid=(value-filter_var.minfreq)/(filter_var.maxfreq-filter_var.minfreq);
      hslider=hvec_filter(6);
      valmax=filter_var.maxfreq;
      valmin=filter_var.minfreq;
      fcn_exe='filter_w2(5);';
   elseif type==12, %damping of analog 2/2 filter
      global hvec_filter filter_var;
      pos_slid=(value-filter_var.mindamp)/(filter_var.maxdamp-filter_var.mindamp);
      hslider=hvec_filter(7);
      valmax=filter_var.maxdamp;
      valmin=filter_var.mindamp;
      fcn_exe='filter_w2(5);';
   elseif type==13, %simulation time
      global hed_tmax
      valmin=PRECISION*2;
      valmax=inf;
      if value<valmin | value>valmax, close(hvec_enter(2));return;
      else set(hed_tmax,'string',num2str(value));end;      
      
      fcn_exe='t_change(11);';
   end;
   if value<valmin | value>valmax, close(hvec_enter(2));return;end;
   if type~=13, set(hslider,'Value',pos_slid);end;
   eval(fcn_exe);
   close(hvec_enter(2));
   
elseif(par==2), %Cancel button
   global hvec_enter;
   close(hvec_enter(2));
   
elseif(par==3), %deletefcn
   global hvec_enter;
   clear global hvec_enter;
   
elseif(par>50),%open window
   type=par-50;
   if type==1, %fnat PD
      global hdisp_dpf;
      hdisp=hdisp_dpf;
   elseif type==2, %xi PD
      global hdisp_dpd;
      hdisp=hdisp_dpd;
   elseif type==3,
      global hdisp_aux;
      hdisp=hdisp_aux;
   elseif type==4, %fnat Hs
      global hdisp_hsf;
      hdisp=hdisp_hsf;
   elseif type==5, %xi Hs      
      global hdisp_hsd;
      hdisp=hdisp_hsd;
   elseif type==6, %fnat Hr
      global hdisp_hrf;
      hdisp=hdisp_hrf;
   elseif type==7,  %xi Hr    
      global hdisp_hrd;
      hdisp=hdisp_hrd;
   elseif type==8, %f/coeff aux pol
      global hvec_auxp
      hdisp=hvec_auxp(6);
   elseif type==9, %xi/N aux pol
      global hvec_auxp
      hdisp=hvec_auxp(9);
   elseif type==10, %attenuation analog 2/2 filter
      global hvec_filter;
      hdisp=hvec_filter(8);
   elseif type==11, %freq. of 2/2 filter
      global hvec_filter;
      hdisp=hvec_filter(9);
   elseif type==12, %damping of analog 2/2 filter
      global hvec_filter;
      hdisp=hvec_filter(10);
   elseif type==13, %simulation tim for tracking window
      global hed_tmax;
      hdisp=hed_tmax;
   end;
   value=str2num(get(hdisp,'String'));
   if isempty(value), return;end;
   enterw(value,type);
   
end;
